Loading...
Searching...
No Matches
minmax_element.hpp File Reference

## Typedefs

template<typename I >
using | ranges::minmax_element_result = detail::min_max_result< I, I >

## Functions

template<typename I , typename S , typename C = less, typename P = identity> requires forward_iterator<I> && sentinel_for<S, I> && indirect_strict_weak_order<C, projected<I, P>>
constexpr minmax_element_result< I > | ranges::minmax_element (I first, S last, C pred=C{}, P proj=P{})
| function template `minmax_element`
template<typename Rng , typename C = less, typename P = identity> requires forward_range<Rng> && indirect_strict_weak_order<C, projected<iterator_t<Rng>, P>>
constexpr minmax_element_result< borrowed_iterator_t< Rng > > | ranges::minmax_element (Rng &&rng, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.